"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var MessageDeleteTracker = /** @class */ (function () {
    function MessageDeleteTracker(send) {
        this.updateType = 'messageDelete';
        this.send = send;
    }
    MessageDeleteTracker.prototype.handler = function (message) {
        if (!message.author)
            return;
        var event = new CommonEvent_1.default(this.updateType, message.author, message.author.tag + " has deleted a message", message);
        this.send(event);
    };
    return MessageDeleteTracker;
}());
exports.default = MessageDeleteTracker;
