"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var MessageReactionAddTracker = /** @class */ (function () {
    function MessageReactionAddTracker(send) {
        this.updateType = 'messageReactionAdd';
        this.send = send;
    }
    MessageReactionAddTracker.prototype.handler = function (reaction, user) {
        var event = new CommonEvent_1.default(this.updateType, user, user.tag + " has added a reaction to a message", reaction, user);
        this.send(event);
    };
    return MessageReactionAddTracker;
}());
exports.default = MessageReactionAddTracker;
