"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var MessageReactionRemoveTracker = /** @class */ (function () {
    function MessageReactionRemoveTracker(send) {
        this.updateType = 'messageReactionRemove';
        this.send = send;
    }
    MessageReactionRemoveTracker.prototype.handler = function (reaction, user) {
        var event = new CommonEvent_1.default(this.updateType, user, user.tag + " has removed a reaction from a message", reaction, user);
        this.send(event);
    };
    return MessageReactionRemoveTracker;
}());
exports.default = MessageReactionRemoveTracker;
