"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var PresenceUpdateTracker = /** @class */ (function () {
    function PresenceUpdateTracker(send) {
        this.updateType = 'presenceUpdate';
        this.send = send;
    }
    PresenceUpdateTracker.prototype.handler = function (presence1, presence2) {
        if (!presence1 || !presence1.user)
            return;
        var event = new CommonEvent_1.default(this.updateType, presence1.user, presence1.user.tag + " has updated a presence", presence1, presence2);
        this.send(event);
    };
    return PresenceUpdateTracker;
}());
exports.default = PresenceUpdateTracker;
