"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var MessageTracker = /** @class */ (function () {
    function MessageTracker(send) {
        this.updateType = 'message';
        this.send = send;
    }
    MessageTracker.prototype.handler = function (message) {
        if (!message.author)
            return;
        var event = new CommonEvent_1.default(this.updateType, message.author, message.author.tag + " has sent a message", message);
        this.send(event);
    };
    return MessageTracker;
}());
exports.default = MessageTracker;
