"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var MessageUpdateTracker = /** @class */ (function () {
    function MessageUpdateTracker(send) {
        this.updateType = 'messageUpdate';
        this.send = send;
    }
    MessageUpdateTracker.prototype.handler = function (message) {
        if (!message.author)
            return;
        var event = new CommonEvent_1.default(this.updateType, message.author, message.author.tag + " has updated a message", message);
        this.send(event);
    };
    return MessageUpdateTracker;
}());
exports.default = MessageUpdateTracker;
