"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var TypingStartTracker = /** @class */ (function () {
    function TypingStartTracker(send) {
        this.updateType = 'typingStart';
        this.send = send;
    }
    TypingStartTracker.prototype.handler = function (channel, user) {
        var event = new CommonEvent_1.default(this.updateType, user, user.tag + " has started typing", channel, user);
        this.send(event);
    };
    return TypingStartTracker;
}());
exports.default = TypingStartTracker;
