"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../CommonEvent"));
var UserUpdateTracker = /** @class */ (function () {
    function UserUpdateTracker(send) {
        this.updateType = 'message';
        this.send = send;
    }
    UserUpdateTracker.prototype.handler = function (message) {
        this.send(new CommonEvent_1.default(this.updateType, message.author, message.author.tag + " has sent a message", message));
    };
    return UserUpdateTracker;
}());
exports.default = UserUpdateTracker;
