"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CommonEvent_1 = __importDefault(require("../../CommonEvent"));
var VoiceStateUpdateTracker = /** @class */ (function () {
    function VoiceStateUpdateTracker(send) {
        this.updateType = 'voiceStateUpdate';
        this.send = send;
    }
    VoiceStateUpdateTracker.prototype.handler = function (state1, state2) {
        var member = state1.member || state2.member;
        if (!member)
            return;
        var event = new CommonEvent_1.default(this.updateType, member.user, member.user.tag + " has updated his voice state", state1, state2);
        this.send(event);
    };
    return VoiceStateUpdateTracker;
}());
exports.default = VoiceStateUpdateTracker;
